Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	unix dialout program
Name:		xc
Version:	4.3.2
Release:	1
License:	as-is
URL:		http://www.ibiblio.org/pub/Linux/apps/serialcomm/dialout
Group:		System/Tools
Source0:	%{name}-%{version}.tar.gz
Patch0:		xc-4.3.2-gentoo.diff
Patch1:		xc-4.3.2-add-115200.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ncurses-devel

%description
unix dialout program

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
sed -i -e "s:GCCOPT\t= -pipe -O2 -fno-strength-reduce -fomit-frame-pointer:GCCOPT\t= ${CFLAGS} -fno-strength-reduce:g" \
       -e 's:-ltermcap:-lncurses:' Makefile


%build
make WARN="" all prefix=/usr mandir=/usr/share/man

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/{bin,lib/xc,share/man/man1}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 655 phonelist %{buildroot}/usr/lib/xc/
install -m 655 xc.init %{buildroot}/usr/lib/xc/
install -m 655 dotfiles/.[a-z]* %{buildroot}/usr/lib/xc/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.3.2-1
- Initial Release
